### Enumeration

# Clutter InputAxis

#### Declaration

    enum Clutter.InputAxis

#### Description [src]

The type of axes Clutter recognizes on a `ClutterInputDevice`.

#### Members

`CLUTTER_INPUT_AXIS_IGNORE`

  Unused axis.

  - Value: `0`
  - Available since: 16
`CLUTTER_INPUT_AXIS_X`

  The position on the X axis.

  - Value: `1`
  - Available since: 16
`CLUTTER_INPUT_AXIS_Y`

  The position of the Y axis.

  - Value: `2`
  - Available since: 16
`CLUTTER_INPUT_AXIS_PRESSURE`

  The pressure information.

  - Value: `3`
  - Available since: 16
`CLUTTER_INPUT_AXIS_XTILT`

  The tilt on the X axis.

  - Value: `4`
  - Available since: 16
`CLUTTER_INPUT_AXIS_YTILT`

  The tile on the Y axis.

  - Value: `5`
  - Available since: 16
`CLUTTER_INPUT_AXIS_WHEEL`

  A wheel.

  - Value: `6`
  - Available since: 16
`CLUTTER_INPUT_AXIS_DISTANCE`

  Distance (Since 1.12).

  - Value: `7`
  - Available since: 16
`CLUTTER_INPUT_AXIS_ROTATION`

  Rotation along the z-axis (Since 1.28).

  - Value: `8`
  - Available since: 16
`CLUTTER_INPUT_AXIS_SLIDER`

  A slider (Since 1.28).

  - Value: `9`
  - Available since: 16
`CLUTTER_INPUT_AXIS_LAST`

  Last value of the enumeration; this value is useful when iterating over the enumeration values (Since 1.12).

  - Value: `10`
  - Available since: 16